Issue 69422 - ease access to data series properties when point is selected
ease access to data series properties when point is selected
Status: CLOSED FIXED
Product: General
Classification: Code
Component: chart
OOo 3.3 or older
PC All
: P3 trivial (vote)
: ---
Assigned To: sgautier.ooo
issues@graphics
: usability
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-10 01:39 UTC by olinart
Modified: 2013-02-24 21:20 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
TCS Chart Context Menu (21.28 KB, text/html)
2009-09-08 15:21 UTC, sgautier.ooo
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description olinart 2006-09-10 01:39:40 UTC
Testing chart milestone8.
When creating a line-type chart clicking the datapoints one gets the option of
inserting statistics (error bars). If one left clicks on a data-point, then
object properties, oneis not allowed to modify the statistics. the statistics
can be modified only if one right-clicks a datapoint with no point selected, or
with insert / statistics. This can be quite confusing. Noting is lost if the
statistics option is always accessible.
Comment 1 kla 2006-09-12 12:45:28 UTC
Change Summary, 
set Keyword,
and change owner.
@ Iha: I think its for you.
Comment 2 kla 2006-09-12 12:47:35 UTC
set Target
Comment 3 IngridvdM 2006-09-18 12:27:08 UTC
Hi olinart, do you want to make different error bar settings for different data
points (maybe  one point with percentage error bar, the next point with constant
value error ... )?
Or do you want to have the series settings offered in the data point properties
dialog?
Comment 4 olinart 2006-09-18 17:15:25 UTC
Thanks for your attention, Iha. 
>Or do you want to have the series settings offered in the data point properties
>dialog?

Exactly. At present it is offered only if very specific elements are selected
first. 

Your first option is not required. I'd be hard put to imagine a use for it.
Comment 5 IngridvdM 2006-09-18 18:19:44 UTC
I see. Thanks for the fast response :-).
I think it would be to confusing to mix the series properties and the data point
properties within the data point properties dialog.

But maybe something different could help. I have the feeling that you find it to
difficult to get the dataseries properties dialog, is that right?
Would it help you to additionally offer the data series properties in the
contextmenu while having selected a single data point? Thanks. Ingrid
Comment 6 olinart 2006-09-19 08:25:19 UTC
Hi, Ingrid. Yes you have identified the problem correctly. It seems that
left-clicking a data point sometimes highlights all the series points then right
click "object properties"  gives the data series dialog, 
while sometimes a single point is highlighted and  then right click "object
properties" gives the data points dialog. The dialogs look very similar so it's
easy to confuse how to access these dialogs. The dialogs look very similar
except that only series has statistics. I guess an access from the data point
dialog to data series dialog would do the trick.  
Comment 7 IngridvdM 2006-09-19 10:12:08 UTC
Ok. The selection works as follows: When a series is not yet selected and you
click on it somewhere then the series gets selected. Now when the series is
already selected and you click somewhere on a point in this series then the
single point gets selected. If you now want to go back to the whole series you
have to select something different first.

To ease the access to the dataseries properties I now would suggest to offer
them in the contextmenu in addition.
Comment 8 IngridvdM 2008-07-22 14:20:50 UTC
reset to new
Comment 9 IngridvdM 2009-08-07 17:10:31 UTC
The context menu was reworked completely within CWS chartuseability01.
All details can be found in the specification:
http://specs.openoffice.org/chart/ChartContextMenu.odt

Especially the data series properties dialog now is also offered within the
context menu of a single selected data point. It is also possible to add/format
and delete trend lines, y error bars, data labels or mean value lines directly
from the context menu of a single point.
Comment 10 IngridvdM 2009-08-26 13:22:27 UTC
Sophie, please verify this enhancement in CWS chartuseability01.
Create a chart and select a single data point (a first click does select the
series and a second click does select a single point in this series). Open the
context menu of that single data point. You should find entries to format the
whole data series - like 'Format Data Series...', 'Insert Y Error Bars...' and
the like in addition to the possibility to format the single data point.
The complete list of entries for the context menu is given in the specification:
http://specs.openoffice.org/chart/ChartContextMenu.odt
Thanks! Ingrid
Comment 11 sgautier.ooo 2009-09-08 09:16:48 UTC
Verified in CWS chartuseability01 - Sophie
Comment 12 sgautier.ooo 2009-09-08 15:20:54 UTC
Attaching TCS Chart Context Menu - Sophie
Comment 13 sgautier.ooo 2009-09-08 15:21:33 UTC
Created attachment 64616 [details]
TCS Chart Context Menu
Comment 14 sgautier.ooo 2009-10-22 15:40:58 UTC
Verified in OOO320m2 - Closing - Sophie